# XMLElementList (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util.xml
Class XMLElementList

    java.lang.Object
      org.newdawn.slick.util.xml.XMLElementList

    public class XMLElementList

extends java.lang.Object

A simple typed list.

Author:
  kevin

Constructor Summary
`XMLElementList()` Create a new list

Method Summary
`void` `add(XMLElement element)` Add an element to the list
`void` `addAllTo(java.util.Collection collection)` Add all the elements in this list to another collection
`boolean` `contains(XMLElement element)` Check if this list contains the given element
`XMLElement` `get(int i)` Get the element at a specified index
`int` `size()` Get the number of elements in the list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLElementList

    public XMLElementList()

  Create a new list

Method Detail

### add

    public void add(XMLElement element)

  Add an element to the list

  Parameters:
    `element` - The element to be added

### size

    public int size()

  Get the number of elements in the list

  Returns:
    The number of elements in the list

### get

    public XMLElement get(int i)

  Get the element at a specified index

  Parameters:
    `i` - The index of the element
  Returns:
    The element at the specified index

### contains

    public boolean contains(XMLElement element)

  Check if this list contains the given element

  Parameters:
    `element` - The element to check for
  Returns:
    True if the element is in the list

### addAllTo

    public void addAllTo(java.util.Collection collection)

  Add all the elements in this list to another collection

  Parameters:
    `collection` - The collection the elements should be added to

Copyright © 2006 New Dawn Software. All Rights Reserved.